



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>【Web前端】清除css、javascript及背景图在浏览器中的缓存</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">【Web前端】清除css、javascript及背景图在浏览器中的缓存</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-26 08:28:07 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>在实际项目开发过过程中，页面是上传到服务器上的。而为了减少服务器的压力，让用户少加载，浏览器会将图片、css、js缓存到本地中，以便下次访问网站时使用。这样做不仅减少了服务器的压力，并且也减少了用户的下载次数，获得更好的用户体验。</p>
<p>　　然而在版本升级或做一些css、js等调整的时候，缓存导致用户无法显示更新后<br />
的样式，这是另人头头疼的问题。除非用户自行手动升级缓存，不过几乎所有用户不会为了正常访问这个网站而去手动清除缓存，因为用户根本不知道是不是缓存的<br />
问题，而归根结底，用户就是认为你的页面存在问题，不能正常访问。</p>
<p>　　为了可以正常使用缓存，又避免这样的问题，我们可以动脑筋想想，如果解决此问题呢？</p>
<p>　　如果更改了样式不能正常访问，那么更改样式的文件名呢？答案是可以的，这里将不<br />
再验证。然而每次都手动的去更改文件名显然过于麻烦，能不能不更改文件名呢？答案是肯定的。我们可能通在引入的文件名后面加入版本号，与之前的版本都不同<br />
的版本号（一般为更新日期）。代码如下：</p>
<div>
<div>
<div>
<pre class="prettyprint linenums">&lt;link rel="stylesheet" type="text/css" href="reset.css?v=20140829"&gt;

&lt;script type="text/javascript" src="core.js?v=20140829"&gt;&lt;/script&gt;
</pre>
</div>
</div>
<p><em><br /></em></div>
<p>　　可以看到我的CSS文件名及JS文件名后面都跟了"v=20140829"，这样做可以不去改变文件名又做到缓存的同时，可以实时更新。而"v=20140829"只是普遍习惯书写，可更改为其它的。</p>
<p>　　最后是图片，一般img标签的图片都不会重名，因为都是在后台生成的文件名。而如果是固定的文件名图片，方法同上。而对于背景图，由于更改了样式名，图片的解析路径自然是更新同步，因此背景图也更新了。</p>
<p>via:<a href="http://www.cnblogs.com/wuyuchang/p/3945860.html" rel="external nofollow noreferrer">http://www.cnblogs.com/wuyuchang/p/3945860.html</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/rql16509.html">E - Super Jumping&excl; Jumping&excl; Jumping&excl;</a>
		</li>
						<li><a href="https://www.batexi.com/a/3904yp38.html">手机移动端alert替换方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9j6e7wq.html">C&plus;&plus;中的虚函数&lpar;表&rpar;实现机制以及用C语言对其进行的模拟实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/rql4vz19.html">利用Mahout实现在Hadoop上运行K-Means算法</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq4lzr38.html">Node&period;js下基于Express &plus; Socket&period;io 搭建一个基本的在线聊天室</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv1rxoq.html">HTTP、Scoket网络协议浅解</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w47vxq.html">ASP&period;NET文件组成（转载于Owen的BLOG）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv4w3oq.html">Net-Snmp安装配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyy5yj9.html">中文&sol;英文双语言版本TWRP for Nexus5 -hammerheadcaf</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pwp2n8.html">【一天一道LeetCode】&num;59&period; Spiral Matrix II</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljry0k9.html">在线生成二维码的API接口</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k3nn49.html">Go语言中DateTime知识点</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ge21rz8.html">&lbrack;Swift&rsqb;LeetCode458&period; 可怜的小猪 &vert; Poor Pigs</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zo544vq.html">&period;NET Core 中基于 IHostedService 实现后台定时任务</a>
		</li>
						<li><a href="https://www.batexi.com/a/q255d23q.html">JSOI2018 简要题解</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e407zz9.html">我踩过的Alwayson的坑！</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rw2y08.html">More x64 assembler fun-facts&ndash;new assembler directives（转载）</a>
		</li>
						<li><a href="https://www.batexi.com/a/960e3kn9.html">centos installation of matlab R2015b</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll6e71q.html">HTML：meta标签使用总结 &lbrack;转载&rsqb; &lbrack;360浏览器 指定极速模式&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/95g4mx0q.html">Unity AssetBundle</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qll4700q.html">P2216 &lbrack;HAOI2007&rsqb;理想的正方形（dp&plus;单调队列优化）</a>
			</li>
						<li><a href="https://www.batexi.com/a/95goy6vq.html">20155208徐子涵 2016-2017-2 《Java程序设计》第3周学习总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2lozj9.html">四则运算可能需要注意的地方V1&period;1</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kj7lg79.html">服务器-华为RH2288H V3-Server 2008R2忘记登录密码操作方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7orvoj8.html">CentOS7安装备忘</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4j05o5q.html">Codeforces Div3 &num;501 A-E&lpar;2&rpar;  F以后补</a>
			</li>
						<li><a href="https://www.batexi.com/a/960enx49.html">Go Example--方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/q254zdoq.html">linux运维发展路线</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r5x26eq.html">software download</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2ly7j9.html">List接口的使用方法</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
